%global __ocaml_requires_opts -i Asttypes -i Parsetree

Summary:        Objective CAML package manager and build helper
Name:           ocaml-findlib
Version:        1.9.2
Release:        4%{?dist}.1
License:        MIT

URL:            http://projects.camlcity.org/projects/findlib.html
Source0:        http://download.camlcity.org/download/findlib-%{version}.tar.gz

BuildRequires: gawk make
BuildRequires: ocaml-compiler-libs ocaml-ocamldoc m4, ncurses-devel
BuildRequires: ocaml >= 4.02.0 ocaml-labltk-devel ocaml-ocamlbuild-devel

Requires:       ocaml


%description
Objective CAML package manager and build helper.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n findlib-%{version}


%build
(cd tools/extract_args && make)
tools/extract_args/extract_args -o src/findlib/ocaml_args.ml ocamlc ocamlcp ocamlmktop ocamlopt ocamldep ocamldoc ||:
cat src/findlib/ocaml_args.ml
./configure -config %{_sysconfdir}/ocamlfind.conf \
  -bindir %{_bindir} \
  -sitelib `ocamlc -where` \
  -mandir %{_mandir} \
  -with-toolbox
make all
make opt
rm doc/guide-html/TIMESTAMP


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man{1,5}
make install \
     prefix=%{buildroot} \
     OCAMLFIND_BIN=%{_bindir} \
     OCAMLFIND_MAN=%{_mandir}


%files
%license LICENSE
%doc doc/README
%{_bindir}/*
%{_libdir}/ocaml/*/META
%{_libdir}/ocaml/topfind
%{_libdir}/ocaml/findlib
%config(noreplace) %{_sysconfdir}/ocamlfind.conf
%{_mandir}/man1/*
%{_mandir}/man5/*
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/findlib/*.a
%exclude %{_libdir}/ocaml/findlib/*.cmxa
%endif
%exclude %{_libdir}/ocaml/findlib/*.mli
%exclude %{_libdir}/ocaml/findlib/Makefile.config
%exclude %{_libdir}/ocaml/findlib/make_wizard
%exclude %{_libdir}/ocaml/findlib/make_wizard.pattern


%files devel
%license LICENSE
%doc doc/README doc/guide-html
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/findlib/*.a
%{_libdir}/ocaml/findlib/*.cmxa
%endif
%{_libdir}/ocaml/findlib/*.mli
%{_libdir}/ocaml/findlib/Makefile.config


%changelog
* Fri Sep 22 2023 Jiaxin Yang <jiaxinyyang@tencent.com> - 1.9.2-4.1
- Rebuilt

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.2-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.2-3
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 28 2023 cunshunxia <cunshunxia@tencent.com> - 1.9.2-2
- remove unused macros.

* Mon Mar 20 2023 cunshunxia <cunshunxia@tencent.com> - 1.9.2-1
- initial build
